PrefabFiles = {
	"vacuum_chest",
}

Assets = 
{
    Asset( "IMAGE", "images/inventoryimages/vacuum_chest.tex" ),
    Asset("ATLAS", "images/inventoryimages/vacuum_chest.xml"),
}


	STRINGS = GLOBAL.STRINGS
	RECIPETABS = GLOBAL.RECIPETABS
    Recipe = GLOBAL.Recipe
    Ingredient = GLOBAL.Ingredient
    TECH = GLOBAL.TECH

    GLOBAL.STRINGS.NAMES.VACUUM_CHEST = "Vacuum Chest"

    STRINGS.RECIPE_DESC.VACUUM_CHEST = "Cordless, my favorite!"

    GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.VACUUM_CHEST = "It picks up things I won't"
	
	TUNING.SEARCH_RADIUS  = GetModConfigData("r")
	
-- if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then  ----如果是ROG
-- if  GetModConfigData("difficulty") == 1 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",3), 
-- Ingredient("bluegem",1 ),
-- Ingredient("livinglog",1)
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_TWO, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end

-- if  GetModConfigData("difficulty") == 2 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",6), 
-- Ingredient("livinglog",2 ),
-- Ingredient("bluegem",2 )
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_THREE, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end

-- if  GetModConfigData("difficulty") == 3 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",12), 
-- Ingredient("livinglog",4 ),
-- Ingredient("bluegem",4 )
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_THREE, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end
-- elseif not GLOBAL.SaveGameIndex:IsModeShipwrecked() then
-- if  GetModConfigData("difficulty") == 1 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",3), 
-- Ingredient("bluegem",1 ),
-- Ingredient("livinglog",1)
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_TWO, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end

-- if  GetModConfigData("difficulty") == 2 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",6), 
-- Ingredient("livinglog",2 ),
-- Ingredient("bluegem",2 )
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_THREE, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end

-- if  GetModConfigData("difficulty") == 3 then
-- local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
-- { 
-- Ingredient("boards",12), 
-- Ingredient("livinglog",4 ),
-- Ingredient("bluegem",4 )
-- },  
-- RECIPETABS.TOWN, TECH.MAGIC_THREE, "vacuum_chest_placer" )

-- vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
-- AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
-- end
if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) then -----------------海难
    if  GetModConfigData("difficulty") == 1 then
         local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
            Ingredient("boards",3), 
            Ingredient("bluegem",1 ),
            Ingredient("livinglog",1)
       },  
    RECIPETABS.TOWN, TECH.MAGIC_TWO,  GLOBAL.RECIPE_GAME_TYPE.COMMON,"vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end

    if  GetModConfigData("difficulty") == 2 then
        local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
        Ingredient("boards",6), 
        Ingredient("livinglog",2 ),
        Ingredient("bluegem",2 )
        },  
    RECIPETABS.TOWN, TECH.MAGIC_THREE,  GLOBAL.RECIPE_GAME_TYPE.COMMON, "vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end

        if  GetModConfigData("difficulty") == 3 then
        local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
        Ingredient("boards",12), 
        Ingredient("livinglog",4 ),
        Ingredient("bluegem",4 )
        },  
    RECIPETABS.TOWN, TECH.MAGIC_THREE,  GLOBAL.RECIPE_GAME_TYPE.COMMON, "vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end
else 
    if  GetModConfigData("difficulty") == 1 then
         local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
            Ingredient("boards",3), 
            Ingredient("bluegem",1 ),
            Ingredient("livinglog",1)
       },  
    RECIPETABS.TOWN, TECH.MAGIC_TWO,  "vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end

    if  GetModConfigData("difficulty") == 2 then
        local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
        Ingredient("boards",6), 
        Ingredient("livinglog",2 ),
        Ingredient("bluegem",2 )
        },  
    RECIPETABS.TOWN, TECH.MAGIC_THREE,  "vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end

        if  GetModConfigData("difficulty") == 3 then
        local vacuum_chest = GLOBAL.Recipe("vacuum_chest",
        { 
        Ingredient("boards",12), 
        Ingredient("livinglog",4 ),
        Ingredient("bluegem",4 )
        },  
    RECIPETABS.TOWN, TECH.MAGIC_THREE,  "vacuum_chest_placer" )

    vacuum_chest.atlas = "images/inventoryimages/vacuum_chest.xml"
    AddMinimapAtlas("images/inventoryimages/vacuum_chest.xml")
    end

end

